org.eclipse.lyo.oslc4j.core

## Class OslcGlobalNamespaceProvider

- java.lang.Object
- - org.eclipse.lyo.oslc4j.core.OslcGlobalNamespaceProvider

-     public class OslcGlobalNamespaceProvider
      extends Object

  Defines the global namespace prefix mappings. The global namespace mappings do not take precedence over any other namespace mappings definition, which means that in case of conflict the `OslcSchema` will override the prefix. This class is a singleton instance, that can be obtained calling `getInstance()`, since it works with any request even if there are no annotation mapping.
  Author:
    Daniel Figueiredo Caetano

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static OslcGlobalNamespaceProvider` | `getInstance()` Gets the unique instance of this class.
    `Map<String,String>` | `getPrefixDefinitionMap()` Gets the Global namespace mappings, these mappings are applied to all operations, even without the annotation mappings.
    `void` | `setPrefixDefinitionMap(Map<String,String> prefixDefinitionMap)` Sets the global prefix definition map with the given map.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### getInstance

          public static OslcGlobalNamespaceProvider getInstance()

      Gets the unique instance of this class.
      Returns:
        singleton class instance.

    - #### getPrefixDefinitionMap

          public Map<String,String> getPrefixDefinitionMap()

      Gets the Global namespace mappings, these mappings are applied to all operations, even without the annotation mappings. key - prefix value - namespace
      Returns:
        empty hash map instance if there are no global namespace mappings.

    - #### setPrefixDefinitionMap

          public void setPrefixDefinitionMap(Map<String,String> prefixDefinitionMap)

      Sets the global prefix definition map with the given map. Note that this operation overrides the current map.
      Parameters:
        `prefixDefinitionMap` - that will replace the current.

Copyright © 2016. All rights reserved.